
/* ----------------------------------------------------------------------------------------
01. Global Variables
02. General css
03. Header css

-------------------------------------------------------------------------------------- */

/************************************/
/*** 	 01. Global Variables	  ***/
/************************************/	

:root{
	--primary-color			: #0B3D2C;
	--secondary-color		: #F0FFF0;
	--text-color			: #555555;
	--accent-color			: #2A7D2E;
	--white-color			: #FFFFFF;
	--divider-color			: #E7ECEA;
	--dark-divider-color	: #FFFFFF33;
	--error-color			: rgb(230, 87, 87);
	--default-font			: "Plus Jakarta Sans", sans-serif;
}

/************************************/
/*** 	   02. General css		  ***/
/************************************/

body{
	font-family: var(--default-font);
	font-size: 16px;
	font-weight: 400;
	line-height: 1.6em;
	background-color: var(--white-color);
	color: var(--text-color);
}

p{
	line-height: 1.8em;
	margin-bottom: 1.6em;
}

h1,
h2,
h3,
h4,
h5,
h6{
	margin :0;
	font-weight: 700;
	line-height: 1.2em;
	color: var(--primary-color);
}

figure{
	margin: 0;
}

img{
	max-width: 100%;
}

a{
	text-decoration: none;
}

a:hover{
	text-decoration: none;
	outline: 0;
}

a:focus{
	text-decoration: none;
	outline: 0;
}

html,
body{
	width: 100%;
	overflow-x: clip;
}

.container{
	max-width: 1300px;
}

.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl,
.mfp-container{
    padding-right: 15px;
    padding-left: 15px;
}

.image-anime{
	position: relative;
	overflow: hidden;
}

.image-anime:after{
	content: "";
	position: absolute;
    width: 200%;
    height: 0%;
    left: 50%;
    top: 50%;
    background-color: rgba(255,255,255,.3);
    transform: translate(-50%,-50%) rotate(-45deg);
    z-index: 1;
}

.image-anime:hover:after{
    height: 250%;
    transition: all 600ms linear;
    background-color: transparent;
}

.reveal{
	position: relative;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    visibility: hidden;
    overflow: hidden;
}

.reveal img{
    height: 100%;
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    -webkit-transform-origin: left;
    transform-origin: left;
}

.row{
    margin-right: -15px;
    margin-left: -15px;
}

.row > *{
	padding-right: 15px;
	padding-left: 15px;
}

.row.no-gutters{
    margin-right: 0px;
    margin-left: 0px;
}

.row.no-gutters > *{
    padding-right: 0px;
    padding-left: 0px;
}

.btn-default{
	display: inline-block;
	font-size: 16px;
	font-weight: 700;
	line-height: 1.2em;
	text-transform: capitalize;
	background: var(--accent-color);
	color: var(--white-color);
	border-radius: 100px;
	padding: 14px 35px 14px 25px;
	margin-right: 15px;
	border: none;
	transition: all 0.5s ease-in-out;
	position: relative;
	z-index: 1;
}

.btn-default::before{
	content: '';
	position: absolute;
	top: 50%;
	right: 0;
	width: 36px;
	height: 36px;
	border-radius: 50%;
	background-color: var(--white-color);
	background-image: url('../images/arrow-green.svg');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 24px auto;
	transform: translate(50%, -50%);
	transition: all 0.3s ease-in-out;
}

.btn-default:hover::before{
	background-color: var(--secondary-color);
	right: -3px;
}

.btn-default.btn-highlighted{
	background-color: var(--white-color);
	color: var(--primary-color);
}

.btn-default.btn-highlighted:before{
	background-color: var(--accent-color);
	background-image: url('../images/arrow-white.svg');
}

.btn-default.btn-highlighted:hover::before{
	background-color: var(--primary-color);
}

#magic-cursor{
	position: absolute;
    width: 10px !important;
    height: 10px !important;
    pointer-events: none;
    z-index: 1000000;
}

#ball{
	position: fixed;
	display: block;
	left: 0;
	top: 0;
	transform: translate(-50%, -50%);
	width: 8px !important;
	height: 8px !important;
	background: var(--accent-color);
	margin: 0;
	border-radius: 50%;
	pointer-events: none;
	opacity:1 !important;
}

.preloader{
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 1000;
	background-color: var(--accent-color);
	display: flex;
	align-items: center;
	justify-content: center;
}

.loading-container,
.loading{
	height: 100px;
	position: relative;
	width: 100px;
	border-radius: 100%;
}

.loading-container{
	margin: 40px auto;
}

.loading{
	border: 1px solid transparent;
	border-color: transparent var(--white-color) transparent var(--white-color);
	animation: rotate-loading 1.5s linear 0s infinite normal;
	transform-origin: 50% 50%;
}

.loading-container:hover .loading,
.loading-container .loading{
	transition: all 0.5s ease-in-out;
}

#loading-icon{
	position: absolute;
	top: 50%;
	left: 50%;
	max-width: 66px;
	transform: translate(-50%, -50%);
}

@keyframes rotate-loading{
	0%{
		transform: rotate(0deg);
	}

	100%{
		transform: rotate(360deg);
	}
}

.section-row{
	margin-bottom: 60px;
}

.section-row .section-title{
	margin-bottom: 0;
}

.section-title-content p{	
	margin: 0;
}

.section-btn{
	text-align: end;
}

.section-title{
	position: relative;
	margin-bottom: 40px;
}

.section-bg-title{
	position: absolute;
	top: -40px;
}

.section-bg-title span{
	display: inline-flex;
    align-items: center;
    text-transform: capitalize;
    font-size: 100px;
    line-height: 1em;
    font-weight: 800;
    color: var(--white-color);
	background: -webkit-linear-gradient(270deg, rgba(11, 61, 44, 0.1) 68.79%, rgba(11, 61, 44, 0.02) 91%);
  -webkit-background-clip: text;
  -webkit-text-stroke: 2px transparent;
}

.section-bg-title.dark-bg-1 span{
	color: var(--secondary-color);
	background: -webkit-linear-gradient(270deg, rgba(11, 61, 44, 0.08) 68.79%, rgba(11, 61, 44, 0.016) 91%);
	-webkit-background-clip: text;
}

.section-bg-title.dark-bg-2 span{
	color: var(--primary-color);
	background: -webkit-linear-gradient(270deg, rgba(255, 255, 255, 0.08) 68.79%, rgba(11, 61, 44, 0.016) 91%);
	-webkit-background-clip: text;
}

.section-title h3{
	display: inline-block;
	position: relative;
	font-size: 16px;
    font-weight: 500;
	line-height: 1.2em;
    text-transform: capitalize;
    color: var(--accent-color);
	padding-left: 45px;
    margin-bottom: 20px;
}

.section-title h3::before{
	content: '';
	position: absolute;
    top: 50%;
    bottom: 0;
    left: 0;
    transform: translateY(-50%);
	background: url("../images/icon-sub-heading.svg") no-repeat;
	background-position: left center;
	background-size: cover;
	width: 34px;
	height: 34px;
}

.section-title h1{
	font-size: 60px;
	font-weight: 700;
	margin-bottom: 0;
}

.section-title h2{
	font-size: 50px;
	font-weight: 700;
	margin-bottom: 0;
}

.section-title h1 span,
.section-title h2 span{
	font-weight: 400;
}

.section-title p{
	margin-top: 25px;
	margin-bottom: 0;
}

.help-block.with-errors ul{
	margin: 0;
	text-align: left;
}

.help-block.with-errors ul li{
	color: var(--error-color);
	font-weight: 500;
	font-size: 14px;
}

/************************************/
/**** 	   03. Header css		 ****/
/************************************/

header.main-header{
	position: relative;
	z-index: 100;
}

header.main-header .header-sticky{
	position: relative;
	border-bottom: 1px solid var(--dark-divider-color);
	backdrop-filter: blur(3px);
	top: 0;
	z-index: 100;
}

header.main-header .header-sticky.hide{
	transform: translateY(-100%);
	transition: transform 0.3s ease-in-out;
	border-radius: 0;
}

header.main-header .header-sticky.active{
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	border-radius: 0;
    transform: translateY(0);
	background-color: var(--primary-color);
	border-bottom: 1px solid var(--divider-color);
}

.navbar{
	padding: 10px 0;
	align-items: center;
	background-color: #0B3D2C;
}

.navbar-brand{
	padding: 0;
	margin: 0;
}

.main-menu .nav-menu-wrapper{
	flex: 1;
	text-align: center;
}

.main-menu .nav-menu-wrapper > ul{
	align-items: center;
	display: inline-flex;
}

.main-menu ul li{
	margin: 0 4px;
	position: relative;
}

.main-menu ul li a{
	font-size: 15px;
	font-weight: 600;
	padding: 8px !important;
	color: var(--white-color);
	text-transform: capitalize;
	transition: all 0.3s ease-in-out;
}

.main-menu ul li.submenu > a:after{
	content: '\f107';
	font-family: 'FontAwesome';
	font-weight: 900;
	font-size: 14px;
	margin-left: 8px;
}

.main-menu ul li a:hover,
.main-menu ul li a:focus{
	color: var(--white-color);
}

.main-menu ul ul{
	visibility: hidden;
	opacity: 0;
	transform: scaleY(0.8);
	transform-origin: top;
	padding: 0;
	margin: 0;
	list-style: none;
	width: 220px;
	border-radius: 20px;
	position: absolute;
	left: 0;
	top: 100%;
	background-color: var(--accent-color);
	transition: all 0.3s ease-in-out;
	text-align: left;
}

.main-menu ul li.submenu ul li.submenu > a:after{
	content: '\f105';
	float: right;
}

.main-menu ul li.submenu:first-child ul ul{
    width: 250px;
}

.main-menu ul ul ul{
	left: 100%;
	top: 0;
	text-align: left;
}

.main-menu ul ul li{
	margin: 0;
	padding: 0;
}

.main-menu ul ul li a{
	color: var(--white-color);
	padding: 8px 20px !important;
	transition: all 0.3s ease-in-out;
}

.main-menu ul li:hover > ul{
	visibility: visible;
	opacity: 1;
	transform: scaleY(1);
    padding: 5px 0;
}

.main-menu ul ul li a:hover,
.main-menu ul ul li a:focus{
	color: var(--primary-color);
	background-color: transparent;
	padding: 8px 20px 8px 23px !important;
}


.responsive-menu,
.navbar-toggle{
	display: none;
}

.responsive-menu{
	top: 0;
	position: relative;
}

.slicknav_btn{
	background: var(--accent-color);
	padding: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 38px;
	height: 38px;
	margin: 0;
	border-radius: 10px;
}

.slicknav_icon .slicknav_icon-bar{
	display: block;
	width: 100%;
	height: 3px;
	width: 22px;
	background-color: var(--white-color);
	border-radius: 6px;
	margin: 4px auto !important;
	transition: all 0.1s ease-in-out;
}

.slicknav_icon .slicknav_icon-bar:first-child{
	margin-top: 0 !important;
}

.slicknav_icon .slicknav_icon-bar:last-child{
	margin-bottom: 0 !important;
}

.navbar-toggle a.slicknav_btn.slicknav_open .slicknav_icon span.slicknav_icon-bar:nth-child(1){
    transform: rotate(-45deg) translate(-5px, 5px);
}

.navbar-toggle a.slicknav_btn.slicknav_open .slicknav_icon span.slicknav_icon-bar:nth-child(2){
    opacity: 0;
}

.navbar-toggle a.slicknav_btn.slicknav_open .slicknav_icon span.slicknav_icon-bar:nth-child(3){
    transform: rotate(45deg) translate(-5px, -5px);
}

.slicknav_menu{
	position: absolute;
    width: 100%;
	padding: 0;
	background: var(--accent-color);
	border-radius: 0;
}

.slicknav_menu ul{
	margin: 5px 0;
}

.slicknav_menu ul ul{
	margin: 0;
}

.slicknav_nav .slicknav_row,
.slicknav_nav li a{
	position: relative;
	font-size: 16px;
	font-weight: 600;
	text-transform: capitalize;
	padding: 10px 20px;
	color: var(--white-color);
	line-height: normal;
	margin: 0;
	border-radius: 0 !important;
	transition: all 0.3s ease-in-out;
}

.slicknav_nav a:hover,
.slicknav_nav a:focus,
.slicknav_nav .slicknav_row:hover{
	background-color: transparent;
	color: var(--primary-color);
}

.slicknav_menu ul ul li a{
    padding: 10px 20px 10px 30px;
}

.slicknav_arrow{
	font-size: 0 !important;
}

.slicknav_arrow:after{
	content: '\f107';
	font-family: 'FontAwesome';
	font-weight: 900;
	font-size: 12px;
	margin-left: 8px;
	color: var(--white-color);
	position: absolute;
	right: 15px;
    top: 15px;
	transition: all 0.3s ease-out;
}

.slicknav_open > a .slicknav_arrow:after{
    transform: rotate(-180deg);
	color: var(--primary-color);
}



/************************************/
/***     30. responsive css       ***/
/************************************/

@media only screen and (max-width: 1366px){

	.our-counter{
		padding-left: 15px;
	}
}

@media only screen and (max-width: 1024px){

	.navbar{
        padding: 20px 0px;
    }
	
	.main-menu ul li{
		margin: 0;
	}

	.our-counter-box{
		margin-left: 0;
	}
}

@media only screen and (max-width: 991px){

	.slicknav_nav li,
	.slicknav_nav ul{
        display: block;
    }

	.responsive-menu,
    .navbar-toggle{
        display: block;
    }

	.section-row{
		margin-bottom: 40px;
	}
	
	.section-btn{
		margin-top: 15px;
		text-align: left;
	}

	.section-title-content p{
		margin: 0;
		margin-top: 15px;
	}
	
	.section-title{
		margin-bottom: 30px;
	}
	
	.section-bg-title{
		top: -10px;
	}
	
	.section-bg-title span{
		font-size: 80px;
	}
	
	.section-title h3{
		padding-left: 30px;
		margin-bottom: 10px;
	}
	
	.section-title h3::before{
		background-size: contain;
		width: 26px;
		height: 26px;
	}
	
	.section-title h1{
		font-size: 46px;
	}
	
	.section-title h2{
		font-size: 40px;
	}
	
	.section-title p{
		margin-top: 15px;
		margin-bottom: 0;
	}
}

@media only screen and (max-width: 767px){
	.section-row{
        margin-bottom: 30px;
    }
	.section-bg-title span{
        font-size: 60px;
    }
	.section-title h1{
		font-size: 32px;
	}
	.section-title h2{
		font-size: 30px;
	}

}